/*

  SG90 Servo Motor

  Parts required:
  - Arduino Board
  - SG90 Servo Motor
  - Optional extern power supply

  Library Included:
  - Servo.h (Preinstalled in arduino IDE)

  Programming by René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 16 Mar 2020
  Version : v1.0

  Alle dele kan købes på www.arduinotech.dk

*/

#include <Servo.h>            // include library Servo.h
int servoPin = 3;             // set servoPin to digital pin 3

Servo Servo1;                 // create object Servo1 from Servo

void setup() { 
   Servo1.attach(servoPin);   // attach the servo to servoPin
}
void loop(){ 
   Servo1.write(0);           // turn servo motor to position 0 degrees (start position)
   delay(1000);               // wait 1000 ms

   Servo1.write(90);          // turn servo motor to position 90 degrees
   delay(1000);               // wait 1000 ms

   Servo1.write(180);         // turn servo motor to position 180 degrees
   delay(1000);               // wait 1000 ms
}
